Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.security
Class SecurityException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.mule.api.MuleException
                  org.mule.api.MessagingException
                      org.mule.api.security.SecurityException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  EncryptionNotSupportedException, UnauthorisedException, UnsupportedAuthenticationSchemeException, WebServiceSecurityException

    public abstract class SecurityException

extends MessagingException

`SecurityException` is a generic security exception

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.mule.api.MessagingException
`event, muleMessage`

Constructor Summary
`protected` | `SecurityException(Message message, MuleEvent event)`
`protected` | `SecurityException(Message message, MuleEvent event, Throwable cause)`
`protected` | `SecurityException(Message message, MuleMessage muleMessage)` Deprecated. use SecurityException(Message, MuleEvent)
`protected` | `SecurityException(Message message, MuleMessage muleMessage, Throwable cause)` Deprecated. use SecurityException(Message, MuleEvent, Throwable)

Method Summary

Methods inherited from class org.mule.api.MessagingException
`getEvent, getMuleMessage`

Methods inherited from class org.mule.api.MuleException
`addInfo, appendMessage, equals, getDetailedMessage, getExceptionCode, getI18nMessage, getInfo, getMessage, getMessageCode, getSummaryMessage, getVerboseMessage, hashCode, initialise, prependMessage, setExceptionCode, setMessage, setMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SecurityException

    @Deprecated
    protected SecurityException(Message message,
                                           MuleMessage muleMessage)

  Deprecated. use SecurityException(Message, MuleEvent)

### SecurityException

    protected SecurityException(Message message,
                                MuleEvent event)

### SecurityException

    @Deprecated
    protected SecurityException(Message message,
                                           MuleMessage muleMessage,
                                           Throwable cause)

  Deprecated. use SecurityException(Message, MuleEvent, Throwable)

### SecurityException

    protected SecurityException(Message message,
                                MuleEvent event,
                                Throwable cause)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.